connect internal/oracle
/
drop user HALCYON CASCADE
/
commit
/
create user "HALCYON" identified by "HALCYON"
/
COMMIT
/
GRANT connect to HALCYON
/
GRANT resource to HALCYON
/
COMMIT
/
CONNECT HALCYON/HALCYON
/
CREATE TABLE animals (Id NUMBER not null, Name VARCHAR2(10), Area VARCHAR2(10), Height NUMBER, Weight NUMBER, Gif LONG RAW)
/
create unique index animalsId on animals(Id)
/
create table Authors(Au_ID int not null, Author varchar(50), YearBorn int)
/
create unique index AuthorsAu_ID on Authors(Au_ID)
/
insert into Authors (Au_ID, Author, YearBorn) values(1, 'Jacobs, Russell', 1892)
/
insert into Authors (Au_ID, Author, YearBorn) values(2, 'Metzger, Philip W.', 1972)
/
insert into Authors (Au_ID, Author, YearBorn) values(3, 'Boddie, John', 1952)
/
insert into Authors (Au_ID, Author, YearBorn) values(4, 'Sydow, Dan Parks', 1944)
/
insert into Authors (Au_ID, Author, YearBorn) values(5, 'Lloyd, John', 1912)
/
insert into Authors (Au_ID, Author, YearBorn) values(6, 'Thiel, James R.', 1909)
/
insert into Authors (Au_ID, Author, YearBorn) values(7, 'Ingham, Kenneth', 1902)
/
insert into Authors (Au_ID, Author, YearBorn) values(8, 'Wellin, Paul', 1913)
/
insert into Authors (Au_ID, Author, YearBorn) values(9, 'Kamin, Sam', 1974)
/
insert into Authors (Au_ID, Author, YearBorn) values(10, 'Gaylord, Richard', 1937)
/
insert into Authors (Au_ID, Author, YearBorn) values(11, 'Curry, Dave', 1935)
/
insert into Authors (Au_ID, Author, YearBorn) values(12, 'Gardner, Juanita Mercado', 1952)
/
insert into Authors (Au_ID, Author, YearBorn) values(13, 'Knuth, Donald E.', 1954)
/
insert into Authors (Au_ID, Author, YearBorn) values(14, 'Hakim, Jack', 1932)
/
insert into Authors (Au_ID, Author, YearBorn) values(15, 'Winchell, Jeff', 1964)
/
insert into Authors (Au_ID, Author, YearBorn) values(16, 'Clark, Claudia', 1910)
/
insert into Authors (Au_ID, Author, YearBorn) values(17, 'Scott, Jack', 1912)
/
insert into Authors (Au_ID, Author, YearBorn) values(18, 'Coolbaugh, James', 1950)
/
insert into Authors (Au_ID, Author, YearBorn) values(19, 'Ladd, Scott Robert', 1943)
/
insert into Authors (Au_ID, Author, YearBorn) values(20, 'Gabriel, Richard P.', 1932)
/
create table Publishers(PubID NUMBER not null, Name VARCHAR2(50), CompanyName VARCHAR2(255), Address VARCHAR2(50), City VARCHAR2(20), State VARCHAR2(10), Zip VARCHAR2(15), Telephone VARCHAR2(15), Fax VARCHAR2(15), Comments LONG)
/
create unique index PublishersPubID on Publishers(PubID)
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip) values (1, 'SAMS', 'SAMS', '11711 N. College Ave., Ste 140', 'Carmel', 'IN', '46032')
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone) values (2, 'PRINTICE HALL', 'PRINTICE HALL', '15 Columnbus Cir.', 'New York', 'NY', '10023', '800-922-0579')
/
insert into Publishers(PubID, Name, CompanyName) values (3, 'M & T', 'M & T BOOKS')
/
insert into Publishers(PubID, Name, CompanyName) values (4, 'MIT', 'MIT PR')
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone) values (5, 'MACMILLAN COMPUTER', 'MACMILLAN COMPUTER PUB', '11 W. 42nd St., 3rd flr.', 'New York', 'NY', '10036', '212-869-7440')
/
insert into Publishers(PubID, Name, CompanyName) values (6, 'HIGHTEXT PUBNS', 'HIGHTEXT PUBNS')
/
insert into Publishers(PubID, Name, CompanyName) values (7, 'SPRINGER VERLAG', 'SPRINGER VERLAG')
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip) values (8, 'OREILLY & ASSOC', 'OREILLY & ASSOC', '90 Sherman St.', 'Cambridge', 'MA', '02140')
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone, Fax) values (9, 'ADDISON-WESLEY', 'ADDISON-WESLEY PUB CO', 'Rte 128', 'Reading', 'MA', '01867', '617-944-3700', '617-964-9460')
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone, Fax, Comments) values (10, 'TOHN WILEY & SONS', 'TOHN WILEY & SONS', '605 Third Ave', 'New York', 'NY', '10158', '212-850-6088', '212-850-6088', 'DATABASES MICROCOMPUTER SOFTWARE PAPERBACK BOOKS - TRADE TEXTBOOKS - COLLEGE DICTIONARIES, ENCYCLOPEDIAS PERIODICALS PROFESSIONAL BOOKS SCIENCE (GENERAL) BUSINESS SOCIAL SCIENCES AND SOCIOLOGY COMPUTER SCIENCE, DATA PROCESSING ENGINEERING (GENERAL)')
/
insert into Publishers(PubID, Name, CompanyName) values (11, 'SINGULAR', 'SINGULAR PUB GROUP')
/
insert into Publishers(PubID, Name, CompanyName) values (12, 'Duke Press', 'Duke Press')
/
insert into Publishers(PubID, Name, CompanyName) values (13, 'Oxford University', 'Oxford University Press')
/
insert into Publishers(PubID, Name, CompanyName) values (14, 'Mit Press', 'Mit Press')
/
insert into Publishers(PubID, Name, CompanyName) values (15, 'CAMBRIDGE UNIV', 'CAMBRIDGE UNIV PR')
/
insert into Publishers(PubID, Name, CompanyName) values (16, 'Q E D', 'Q E D PUB CO')
/
insert into Publishers(PubID, Name, CompanyName) values (17, 'Cambridge University', 'Cambridge University Press')
/
insert into Publishers(PubID, Name, CompanyName) values (18, 'WORLD SCIENTIFIC', 'WORLD SCIENTIFIC PUB CO')
/
insert into Publishers(PubID, Name, CompanyName) values (19, 'IDG', 'IDG BOOKS WORLDWIDE')
/
insert into Publishers(PubID, Name, CompanyName) values (20, 'GOWER PUB', 'GOWER PUB CO')
/
insert into Publishers(PubID, Name, CompanyName, Address, City, State, Zip, Telephone, Fax, Comments) values (21, 'John Wiley', 'John Wiley', '605 Third Ave', 'New York', 'NY', '10158', '212-850-6000', '212-850-6088', 'DATABASES MICROCOMPUTER SOFTWARE PAPERBACK BOOKS - TRADE TEXTBOOKS - COLLEGE DICTIONARIES, ENCYCLOPEDIAS PERIODICALS PROFESSIONAL BOOKS SCIENCE (GENERAL) BUSINESS SOCIAL SCIENCES AND SOCIOLOGY COMPUTER SCIENCE, DATA PROCESSING ENGINEERING (GENERAL)')
/
insert into Publishers(PubID, Name, CompanyName) values (22, 'MCGRAW HILL TEXT', 'MCGRAW HILL TEXT')
/
commit
/
