/** 
 * @(#)mod_iasp.h 
 * copyright(c) Halcyon Software 2000 
 * 
 */ 

#ifndef MOD_IASP_H
#define MOD_IASP_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef WIN32
	#include <errno.h>
	#include <fcntl.h>
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <sys/stat.h>
	#include <netdb.h>
	#include <netinet/in.h>
	#include <unistd.h>
#endif 

#include "httpd.h"
#include "http_core.h"
#include "http_config.h"
#include "http_log.h"
#include "http_main.h"
#include "http_protocol.h"
#include "http_request.h"
#include "util_script.h"

#if MODULE_MAGIC_NUMBER >= 19980413

	#if MODULE_MAGIC_NUMBER >= 19980708
		#include "ap_compat.h"
	#else
		#include "compat.h"
	#endif 

#endif 

#include "utils.h"

typedef struct {

	int   valid;
	long  max_handles;
	char* host;

} server_info;

typedef struct {

    int					port;				    
	int					pool_size;			    
	int					max_pool_size;			
	int					timeout;			    
    long                max_handlers;
	char				*host;
	array_header*		maps;				    
	Cluster_tcp_pool	*cluster_tcp_pool; 
	server_info         server_infos[15];

} mod_config;
/*
//add virtualhost by qinbing
typedef struct v_host {
   char *virtual_host;
   struct v_host *next;	
} ;
struct v_host *vhost_list;
static int count;
*/
#endif
