import java.io.*;
import java.util.*;
import java.lang.Exception;

public class attrib {
        public String geography;
        public String basic;
        public String land;
        public String environment;

    public attrib() {
    	
    }

	public String getBasicData()
	{
        return basic;
    }


	public String getGeographyData()
	{
        return geography;
	}

    public String getLandData()
	{
        return land;
	}

	public String getEnvironmentData()
	{
        return environment;
	}


    public String initialize(String filename) {
    	BufferedReader in = null;
            String[] values = {"", "", "", ""};
        try {
            in = new BufferedReader(new FileReader(filename));
            String str;
            String tmp;
            String name;
	        int i = -1;
            str = in.readLine();
            while (str != null) {
            	str = str.toLowerCase();
            	if(str.startsWith(":basic")) {
            		i = 0;
            	}
            	else if(str.startsWith(":geography")) {
            		i = 1;
            	}
            	else if(str.startsWith(":land")) {
            		i = 2;
            	}
            	else if(str.startsWith(":environment")) {
            		i = 3;
            	}
            	if(i >= 0) {
            		while((str = in.readLine()) != null) {
            			if(str.startsWith(":"))
            				break;
            			values[i] += str + "\n\r";
            		}
            	}
            	else {
            		str = in.readLine();
            	}
            }
            basic = values[0];
            geography = values[1];
            land = values[2];
            environment = values[3];
        }
        catch ( IOException e) {
            System.out.println(e.getMessage());
        }
        finally {
        	try {
        		in.close();
        	}
        	catch(Exception e) {}
		}
		return values[0];
    }


    public static void main(String argc[]) {
		attrib att = new attrib();
		att.initialize(argc[0]);
        System.out.println(att.getBasicData());
        System.out.println(att.getGeographyData());
        System.out.println(att.getLandData());
        System.out.println(att.getEnvironmentData());
    }
}